org.apache.poi.hwpf.model

## Class Colorref

- java.lang.Object
- - org.apache.poi.hwpf.model.Colorref

- All Implemented Interfaces:
    Duplicatable

      @Internal
      public class Colorref
      extends java.lang.Object
      implements Duplicatable

  24-bit color structure

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Colorref()`
    `Colorref(byte[] data, int offset)`
    `Colorref(Colorref other)`
    `Colorref(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Colorref` | `clone()` Deprecated.
    `Colorref` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setValue(int value)`
    `byte[]` | `toByteArray()`
    `java.lang.String` | `toString()`
    `static Colorref` | `valueOfIco(int ico)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Colorref

          public Colorref()

    - #### Colorref

          public Colorref(Colorref other)

    - #### Colorref

          public Colorref(byte[] data,
                          int offset)

    - #### Colorref

          public Colorref(int value)

  - ### Method Detail

    - #### valueOfIco

          public static Colorref valueOfIco(int ico)

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public Colorref clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public Colorref copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getValue

          public int getValue()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEmpty

          public boolean isEmpty()

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### setValue

          public void setValue(int value)

    - #### toByteArray

          public byte[] toByteArray()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.